summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2024-06-07 10:31:01 +0100
committerLeah Rowe <leah@libreboot.org>2024-06-07 10:31:01 +0100
commitdea41f138a0802d73da118c0f17cf50d3d66ea1e (patch)
tree735059a24f09950dbecfb9742e4c4041c17f9687 /script
parent3bd562a2659e1844a7ecb84a8377eb03332b9e1e (diff)
trees: don't do elfcheck if build.list missing
otherwise, some checks are done too soon, and nothing gets built. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script')
-rwxr-xr-xscript/trees2
1 files changed, 1 insertions, 1 deletions
diff --git a/script/trees b/script/trees
index 5c473970..45d2a35e 100755
--- a/script/trees
+++ b/script/trees
@@ -60,7 +60,7 @@ build_projects()
[ -f "$listfile" ] || listfile="" # optional on single-tree
dest_dir="$elfdir"
- elfcheck || return 0
+ [ ! -f "$listfile" ] || elfcheck || return 0
cdir="src/${project}"
[ -d "$cdir" ] || x_ ./update trees -f "$project"